package org.apache.xerces.impl.xs.psvi;

public interface XSTypeDefinition extends XSObject {
  public static final short COMPLEX_TYPE = 13;
  
  public static final short SIMPLE_TYPE = 14;
  
  short getFinal();
  
  short getTypeCategory();
  
  boolean getAnonymous();
  
  boolean isFinal(short paramShort);
  
  XSTypeDefinition getBaseType();
  
  boolean derivedFromType(XSTypeDefinition paramXSTypeDefinition, short paramShort);
  
  boolean derivedFrom(String paramString1, String paramString2, short paramShort);
}
